Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Kurtakov2013-08-23 13:36:40 -0400
committerAlexander Kurtakov2013-08-23 13:36:40 -0400
commit3b890d08dcf81029d8e7592f4e2162ed47774909 (patch)
tree6839b468ee51a9dba3ea8fd0438f56083b168a38
parent003624c744ec5b9620c78e62b64d67e2ff73189b (diff)
downloadeclipse.platform.swt-3b890d08dcf81029d8e7592f4e2162ed47774909.tar.gz
eclipse.platform.swt-3b890d08dcf81029d8e7592f4e2162ed47774909.tar.xz
eclipse.platform.swt-3b890d08dcf81029d8e7592f4e2162ed47774909.zip
Bug 415783 - Do not build libswt-gnome.so for GTK_VERSION=3.0
Don't set MAKE_GNOME if GTK_VERSION=3.0 and don't print the message about gnome support not being compiled in this case as it makes no sense since Gnome 3.x relies on gio for that functionality. Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
-rw-r--r--bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh b/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
index 689616e0c9..440c28aee3 100644
--- a/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
+++ b/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
@@ -455,12 +455,14 @@ if [ ${MODEL} = 'x86' -a ${SWT_OS} = 'linux' ]; then
export SWT_LFLAGS SWT_PTR_CFLAGS
fi
-if [ x`pkg-config --exists gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0 && echo YES` = "xYES" -a ${MODEL} != "sparc64" -a ${MODEL} != 'ia64' ]; then
+if [ x`pkg-config --exists gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0 && echo YES` = "xYES" -a ${MODEL} != "sparc64" -a ${MODEL} != 'ia64' -a ${GTK_VERSION} != '3.0' ]; then
echo "libgnomeui-2.0 found, compiling SWT program support using GNOME"
MAKE_GNOME=make_gnome
else
- echo "libgnome-2.0 and libgnomeui-2.0 not found:"
- echo " *** SWT Program support for GNOME will not be compiled."
+ if [ ${GTK_VERSION} != '3.0' ]; then
+ echo "libgnome-2.0 and libgnomeui-2.0 not found:"
+ echo " *** SWT Program support for GNOME will not be compiled."
+ fi
fi
if [ x`pkg-config --exists cairo && echo YES` = "xYES" ]; then

Back to the top